*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}

html {
    font-size: 62.5%;
}

body {
    font-family: "Poppins", sans-serif;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 100vh;
    margin: 0 auto;
    padding: 5rem 2rem;
}

.container > * {
    width: 100%;
    max-width: 500px;
    min-width: 200px;
}

.container .logo img {
    width: 16rem;
    height: auto;
    margin-bottom: 3rem;
    margin-left: -1rem;
}

h1 {
    font-size: 3.2rem;
    font-weight: 800;
    margin-bottom: 5px;
    color: #000;
}

.subtitle {
    font-size: 1.6rem;
    color: #888;
    margin-bottom: 25px;
}

form {
    width: 100%;
}

.form-group {
    margin-bottom: 2.5rem;
}

.email-input {
    width: 100%;
    padding: 12px 0 12px 20px;
    border: 1px solid #000;

    font-size: 1.6rem;
    outline: none;
}

.email-input::placeholder {
    color: #000;
    font-size: 1.5rem;
}

.email-container {
    position: relative;
}

.email-icon {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
}

.signup-button-container {
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
}

.signup-button {
    width: 20rem;
    padding: 15px;
    background-color: #000;
    color: white;
    border: none;

    font-size: 1.6rem;
    cursor: pointer;
    font-weight: 600;
    margin-bottom: 1rem;

    transition: all 0.2s;
}

.signup-button:hover {
    background-color: #8e008e;
}

.login-text {
    text-align: center;
    color: #333;
    font-size: 14px;
}

.login-link {
    color: #000;
    text-decoration: underline;
    font-weight: bold;
}

.login-link:hover {
    text-decoration: underline;
    color: #8e008e;
}

.status-message,
.invalid-feedback {
    padding: 20px 20px 20px 3rem;
    background-color: #dcfddb;
    /*background-color: #f8e5f8;*/
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
    font-size: 1.2rem;
}

.status-message .status-title,
.invalid-feedback .status-title {
    font-size: 1.6rem;
    font-weight: 800;
    margin-bottom: 0.5rem;
}

.status-message .status-text,
.invalid-feedback .status-text {
    color: #000;
    font-size: 1.4rem;
}

.invalid-feedback {
    background-color: #facdd6;
}

.image-section {
    display: none;
}

@media (min-width: 900px) {
    .desktop-layout {
        display: flex;
        min-height: 100vh;
        max-width: 1400px;
        margin: 0 auto;
    }

    .image-section {
        flex: 40%;
        display: flex;
        align-items: center;
        justify-content: right;
        
    }

    .image-section img {
        display: block;
       width: 100%;
    }

    .container {
        flex: 60%;
        
    }
}
